Subject: Re: [abfab] Last Call: <draft-ietf-abfab-gss-eap-08.txt> (A GSS-API Mechanism for the Extensible Authentication Protocol) to Proposed Standard

From: Stephen Farrell <[email-masked]>
Date: Thu, 19 Jul 2012 11:57:16 +0100

Sorry, I should've asked this before but I'm sometimes dumb:-)

If I put in an RFC editor note adding a normative reference
to the new EAP applicability statement [1] would that sort
this out and not cause any problems for anyone?

S.

[1] http://tools.ietf.org/html/draft-winter-abfab-eapapplicability

On 06/26/2012 08:14 PM, Sam Hartman wrote:
> 
> EAP (RFC 3748) has a applicability statement  scoped very strictly to
> network access.
> This document  provides a mechanism that falls well outside that
> applicability statement and permits the use of EAP for general
> application authentication.
> 
> When ABFAB was chartered, there was a charter item to update the EAP
> applicability statement. I think A number of people in the room at the
> BOF, including myself, would have objected to the work being chartered
> had that charter item not been present.
> 
> I think that work is important because I believe there are a number of
> important concerns that apply to the use of EAP for authentication
> beyond network access that need to be documented.
> 
> Unfortunately, the technical specification has gotten ahead of the
> applicability statement update.
> I'm OK with that provided that we're still firmly committed to an
> applicability statement update. As part of approving this document now,
> I want to confirm that we have consensus at least within the ABFAB
> working group and the IESG to do that update.
> If there is any doubt I'd far prefer that this document be held until
> the applicability statement catches up.
> 
> --Sam
>

---

From: Sam Hartman <[email-masked]>
Date: Thu, 19 Jul 2012 07:19:04 -0400

>>>>> "Stephen" == Stephen Farrell <[email-masked]> writes:

    Stephen> Sorry, I should've asked this before but I'm sometimes dumb:-)

    Stephen> If I put in an RFC editor note adding a normative reference
    Stephen> to the new EAP applicability statement [1] would that sort
    Stephen> this out and not cause any problems for anyone?

I don't object to that, but it does hold up the doc.  I'm happy letting
this doc go forward now so long as we're all on the same page on the
applicability stament.  I realize we run the risk that somehow the
applicability effort derails.  Personally, I'm willing to take that
risk, so long as we believe today we do intend to publish the
applicability statement.

If someone on the IESG or in the community wants that normative
reference, I support adding it.  I'm just not asking for it myself.

---

From: "Leif Johansson" <[email-masked]>
Date: Thu, 19 Jul 2012 14:35:47 +0200

fyi the applicability stmt version 00 was submitted by joe the other day.

19 jul 2012 kl. 13:19 skrev "Sam Hartman" <[email-masked]>:

> _______________________________________________
> abfab mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/abfab